# $Revision: 1.24 $, $Date: 2006/06/07 18:09:27 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" during build
#
%include	/usr/lib/rpm/macros.perl
%define 	apxs		/usr/sbin/apxs
%define		pdir	Apache
%define		pnam	Gallery
%define		_rc	RC3
Summary:	An Apache module for creating an online gallery
Summary(pl):	Modu Apache'a do tworzenia galerii online
Name:		Apache-Gallery
Version:	1.0
Release:	0.%{_rc}.3
License:	Artistic
Group:		Applications/Graphics
Source0:	http://apachegallery.dk/download/%{name}-%{version}%{_rc}.tar.gz
# Source0-md5:	a705cbecf2f124d18a3bde3fc36384e8
Source1:	%{name}.conf
Patch0:		%{name}-cache_dir.patch
URL:		http://apachegallery.dk/
BuildRequires:	apache-mod_perl-devel >= 1:1.99
%{?with_tests:BuildRequires:	apache1-mod_perl}
BuildRequires:	perl-CGI >= 3.08
BuildRequires:	perl-Image-Imlib2 >= 1.02
BuildRequires:	perl-Image-Info
BuildRequires:	perl-Image-Size
BuildRequires:	perl-Text-Template
BuildRequires:	perl-URI >= 1.23
BuildRequires:	perl-devel
BuildRequires:	perl-libapreq2
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache-mod_perl >= 1:2.0.0
Requires:	apache-mod_alias
Conflicts:	apache-mod_autoindex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(APR::Table)' 'perl(Apache2)' 'perl(Apache::Const)' 'perl(Apache::RequestIO)' 'perl(Apache::RequestRec)' 'perl(Apache::SubRequest)'
%define		_appdir		%{_datadir}/%{name}
%define		_apacheicons	%{_appdir}/icons
%define		_cachedir	/var/cache/%{name}

%description
Apache::Gallery is a mod_perl handler that sits on top of your
DocumentRoot and creates an image gallery of the files and directories
there. It creates an thumbnail index of each directory and allows
viewing of pictures in different resolutions. Pictures are resized on
the fly and cached.

%description -l pl
Apache::Gallery to procedura obsugi dla moduu mod_perl pooona w
DocumentRoot, tworzca galeri obrazw z umieszczonych tam plikw i
katalogw. Tworzy indeks z miniaturkami z kadego katalogu i pozwala
na ogldanie obrazkw w rnych rozdzielczociach. Obrazki s
przeskalowywane w locie i buforowane.

%prep
%setup -q -n %{name}-%{version}%{_rc}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir}/templates/{new,default},%{_apacheicons},/etc/{httpd/httpd.conf,tmpwatch},%{_cachedir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install templates/new/*.{css,tpl} $RPM_BUILD_ROOT%{_appdir}/templates/new/
install templates/default/*.{css,tpl} $RPM_BUILD_ROOT%{_appdir}/templates/default/
install htdocs/*.png $RPM_BUILD_ROOT%{_apacheicons}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/httpd.conf/09_%{name}.conf

echo "%{_cachedir} 720" > $RPM_BUILD_ROOT/etc/tmpwatch/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd reload

%triggerpostun -- Apache-Gallery < 1.0-0.RC3.2
if [ -d "/var/tmp/Apache-Gallery" ]; then
	echo "Removing old cache /var/tmp/Apache-Gallery. New location: %{_cachedir}"
	rm -rf /var/tmp/Apache-Gallery
fi

%preun
if [ "$1" = "0" ]; then
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README TODO UPGRADE
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) /etc/httpd/httpd.conf/*%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/%{name}.conf
%{perl_vendorlib}/Apache/Gallery.pm
%dir %{_appdir}
%dir %{_appdir}/templates
%dir %{_appdir}/templates/new
%{_appdir}/templates/new/*.tpl
%{_appdir}/templates/new/*.css
%dir %{_appdir}/templates/default
%{_appdir}/templates/default/*.tpl
%{_appdir}/templates/default/*.css
%dir %{_apacheicons}
%{_apacheicons}/*.png
%attr(770,root,http) %dir %{_cachedir}
%{_mandir}/man3/*.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Apache-Gallery.spec,v $
Revision 1.24  2006/06/07 18:09:27  blues
- rel.3 - rebuild with proper access to cache-dir

Revision 1.23  2006/06/05 12:06:17  blues
- requires apache-mod_alias

Revision 1.22  2006/05/04 14:31:54  blues
- release 2 - added tmpwatch config for cleaning Apache-Gallery cache.
  STBR to AC (and TH is someone wants it).

Revision 1.21  2006/04/26 20:22:56  blues
- cache_dir patch added - moved default cache dir to /var/cache

Revision 1.20  2006/04/25 14:05:23  blues
- 1.0RC3 - maybe STBR to AC with fixed config?

Revision 1.19  2006/03/19 17:20:52  glen
- use %service
- define pdir/pnam for perl automatics
- BR apache-mod_perl-devel not base

Revision 1.18  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.17  2005/06/08 07:52:09  blues
- 1.0RC2 - this version works under new mod_perl...

Revision 1.16  2004/10/29 09:01:59  paladine
- "HTTP" unification

Revision 1.15  2004/10/18 19:59:33  qboosh
- bcond header

Revision 1.14  2004/10/18 08:52:49  blues
- release 2 - works now

Revision 1.13  2004/10/18 08:51:37  blues
- icons/gallery alias must be loaded before main icon alias :-/

Revision 1.12  2004/10/18 08:45:04  blues
- well, does not fully works :-

Revision 1.11  2004/10/18 08:25:00  blues
- release 2 - added config for apache, modified icons location (kill
  services)

Revision 1.10  2004/10/13 10:06:33  blues
- release 1 - works with apache2

Revision 1.9  2004/10/13 10:00:20  blues
- use /home/services

Revision 1.8  2004/09/30 08:23:19  blues
- initially converted into new standards and apache2. Tests disabled

Revision 1.7  2004/09/15 22:30:01  blues
- added Conflicts (requested by qboosh)

Revision 1.6  2004/09/12 21:45:42  blues
- obsoletes apache-mod_autoindex

Revision 1.5  2004/09/12 07:58:30  blues
- next blind update to 0.9.1

Revision 1.4  2004/09/11 21:20:59  blues
- blind update to 0.9

Revision 1.3  2004/05/06 15:18:36  blues
- now it works with RA - feel free to prepare it for AC...

Revision 1.2  2004/05/05 18:09:04  qboosh
- pl

Revision 1.1  2004/05/05 14:10:18  blues
- very initial...
